@extends('layouts.guest')
@section('title', $business->name)
@section('content')
<style>
      body{
        direction: rtl !important;
    }
.table>thead>tr>th {
    border-bottom: 2px solid #f4f4f4;
    text-align: right;
}
</style>
<div class="container">
    <center>
        <h1>استعلامات</h1>
        <h2>{{$business->name}}</h2>
        <h3>{{$location->name}}</h3>
    </center>
    <div class="row" style="margin-top:1%">
			<div class="col-sm-8 col-sm-offset-2">
				<div class="form-group">
					<div class="input-group">
						<span class="input-group-addon">
							<i class="fa fa-search"></i>
						</span>
						{!! Form::text('search_product', null, ['class' => 'form-control mousetrap', 'id' => 'search_product', 'placeholder' => __('lang_v1.search_product_placeholder')]); !!}
					</div>
				</div>
			</div>
			
		</div>
		<div class="row">
		    <div class="col-md-12">
		        <table class="table">
                  <thead class="thead-dark">
                    <tr>
                      <th scope="col">#</th>
                      <th scope="col">اسم المنتج </th>
                      <th scope="col">SKU  </th>
                      <th scope="col">سعر البيع  </th>
                      <th scope="col">الكمية</th>
                      <th scope="col">صورة</th>
                    </tr>
                  </thead>
                  <tbody id="table_content">
                   
                   
                  </tbody>
                </table>
              
		    </div>
		</div>
</div>
<script src="https://code.jquery.com/jquery-2.2.4.min.js" integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44=" crossorigin="anonymous"></script>
<script>
    $(document).ready(function(){
   $('#search_product').keyup(function(){
     $("#table_content").html(null);
     var term=$('#search_product').val();
    if(term.length>=3){
      $.ajax({
          type:"GET",
          url:"{{action('\Modules\ProductCatalogue\Http\Controllers\ProductCatalogueController@getProducts')}}",
          data:{
              _token:"csrf_token()",
              term:$('#search_product').val(),
              location_id:"{{$location_id}}",
              business_id:"{{$business_id}}"
          },
           dataType: "json",
          success:function(result){
              debugger;
              if(result.length>0){
                  var tbody='';
                  for( var i=0; i< result.length ; i++){
                      var j= i+1;
                      tbody +="<tr>";
                       tbody +="<td>" + j + "</td>";
                       tbody +="<td>" + result[i].name + "</td>";
                       tbody +="<td>" + result[i].sub_sku + "</td>";
                       tbody +="<td>" + result[i].selling_price + "</td>";
                       tbody +="<td>" + result[i].qty_available + " " + result[i].unit+"</td>";
                       tbody +="<td><img width='50' src='" + result[i].image_url + "'></td>";
                       tbody +="</tr>";
                  }
                  $("#table_content").html(tbody);
              }
              else{
                  var text="لا يوجد نتائج ";
                  var con="<tr><td colspan='6'>"+text+"</td></tr>";
                   $("#table_content").html(con);
              }
          }
      })
   }else{
       $("#table_content").html(null);
   }
   });
 
    });
</script>
@endsection